Package ghidra.framework.protocol.ghidra

# Class DefaultGhidraProtocolConnector

java.lang.Object
ghidra.framework.protocol.ghidra.GhidraProtocolConnector
ghidra.framework.protocol.ghidra.DefaultGhidraProtocolConnector

public class DefaultGhidraProtocolConnector extends GhidraProtocolConnector
`DefaultGhidraProtocolConnector` provides support for the Ghidra URL protocol without extension for accessing the legacy Ghidra Server over an RMI interface.

- ## Field Summary

  ### Fields inherited from class ghidra.framework.protocol.ghidra.GhidraProtocolConnector

  `folderItemName, folderPath, itemPath, repositoryAdapter, repositoryName, repositoryServerAdapter, statusCode, url`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GhidraURLConnection.StatusCode`
  `connect(boolean readOnlyAccess)`
  Connect to the resource specified by the associated URL.
  `protected URL`
  `getRepositoryRootGhidraURL()`
  Get the URL associated with the repository/project root folder.
  `boolean`
  `isReadOnly()`
  Determines the read-only nature of a connected resource

  ### Methods inherited from class ghidra.framework.protocol.ghidra.GhidraProtocolConnector

  `checkHostInfo, checkProtocol, checkUserInfo, connect, getFolderItemName, getFolderPath, getRepositoryAdapter, getRepositoryName, getRepositoryServerAdapter, getStatusCode, initFolderItemPath, parseItemPath, resolveItemPath`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### isReadOnly

    public boolean isReadOnly() throws NotConnectedException
    Description copied from class: `GhidraProtocolConnector`
    Determines the read-only nature of a connected resource
    Specified by:
      `isReadOnly` in class `GhidraProtocolConnector`
    Returns:
      true if read-only, false if write access allowed
    Throws:
      `NotConnectedException` - if connect has not yet been performed

  - ### connect

    public GhidraURLConnection.StatusCode connect(boolean readOnlyAccess) throws IOException
    Description copied from class: `GhidraProtocolConnector`
    Connect to the resource specified by the associated URL. This method should only be invoked once, a second attempt may result in an IOException.
    Specified by:
      `connect` in class `GhidraProtocolConnector`
    Parameters:
      `readOnlyAccess` - if resource should be requested for write access.
    Returns:
      connection status code
    Throws:
      `IOException` - if a connection error occurs

  - ### getRepositoryRootGhidraURL

    protected URL getRepositoryRootGhidraURL()
    Description copied from class: `GhidraProtocolConnector`
    Get the URL associated with the repository/project root folder. This will be used as a key to its corresponding transient project data.
    Specified by:
      `getRepositoryRootGhidraURL` in class `GhidraProtocolConnector`
    Returns:
      root folder URL